package classes.holonControlUnit.messages;

public class SplitMsg {
	
	public enum SenderRealtion {
		SUPERHOLON, SUBHOLON
	}

	private SenderRealtion type;
	private int timeStep;
	
	public SplitMsg(SenderRealtion type, int timeStep) {
		super();
		this.type = type;
		this.timeStep = timeStep;
	}

	public SenderRealtion getType() {
		return type;
	}

	public int getTimeStep() {
		return timeStep;
	}

	@Override
	public String toString() {
		return "SplitMsg [type=" + type + ", timeStep=" + timeStep + "]";
	}
}
